Skip to main content
DELETE
/
api
/
v1
/
:team_slug
/
:app_slug
/
channels
/
:channel_id
/
products
Error
A valid request URL is required to generate request examples
{
  "data": {
    "failed": [
      {
        "id": "<string>",
        "reason": "<string>"
      }
    ],
    "successful": [
      {
        "channel_id": "<string>",
        "created_at": "<string>",
        "product_id": "<string>",
        "status": "<string>",
        "status_updated_at": "<string>"
      }
    ]
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

channel_id
string
required

Channel ID

Body

application/json

Product IDs to remove

product_ids
string[]
required
Minimum array length: 1

Response

Bulk remove result

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean